#!/bin/sh

if [ "${FACTORY_START_VERSION}" = 'init' ]; then
 exit 0;
fi

if [ -f "${SHARE_VAR_FILE}" ] ; then
	. ${SHARE_VAR_FILE}
fi

echo "Parallels Business Automation - Standard installation letter" >${ADMIN_LETTER_FILE}
echo "Administrator e-mail (use as login name) is: ${ADMEMAIL}" >>${ADMIN_LETTER_FILE}
echo "Administrator password is: ${ADMIN_PASS}" >>${ADMIN_LETTER_FILE}

# Send admin letter
if mail ${ADMEMAIL} -s "Parallels Business Automation - Standard installation" <${ADMIN_LETTER_FILE} ; then
	echo "Letter with administrator password has been sent to ${ADMEMAIL}"
else
	echo "Due to problems with e-mail client letter with administartor password cannot be sent"
	echo "It content is printed below"
	echo ""
	cat ${ADMIN_LETTER_FILE}
fi
