#!/bin/sh

PV=5.8
LD=/usr/lib/perl5
SX=i386-linux-thread-multi/CORE

/bin/rpm -q --whatprovides vim-enhanced >/dev/null || exit 0
[ -h $LD/$PV.7/$SX/libperl.so ] && exit 0

for rel in `/usr/bin/seq 0 7` ; do
	/bin/mkdir -p $LD/$PV.$rel/$SX || exit $?
	/bin/ln -vfs $LD/$PV.8/$SX/libperl.so $LD/$PV.$rel/$SX || exit $?
done
