#!/bin/sh

CRON=crond
if [ -e /etc/init.d/cron ]; then CRON=cron; fi
MYSQL=mysqld
if [ -e /etc/init.d/mysql ]; then CRON=mysql; fi

enable() {
    if test -x /usr/sbin/update-rc.d ; then
        # Debian/Ubuntu
        /usr/sbin/update-rc.d "$1" defaults
    elif test -x /sbin/insserv ; then
        # SuSE
        /sbin/insserv -f "$1" >/dev/null 2>&1
    elif test -x /sbin/chkconfig ; then
        # RedHat, CentOS, Fedora
	/sbin/chkconfig --add "$1"
	/sbin/chkconfig "$1" on
    else
        # FreeBSD
        rc_service "$1" "enable" "YES" "yes"
    fi
}

for i in $MYSQL $CRON; do
	enable $i
done
