#!/bin/sh

chown -R hspc.hspc /etc/hspc

find /etc/hspc -type d -exec chmod 755 \{\} \;
find /etc/hspc -type f -not -name *.pl -exec chmod 644 \{\} \;

mkdir -p -m 775 /var/opt/hspc-root/plugin || echo " WARNING: creation of /var/opt/hspc-root/plugin directory failed "
	>/var/log/hspc/hspc.log

mkdir -p -m 770 /var/log/hspc || echo " WARNING: creation of log directory failed "
	>/var/log/hspc/hspc.log

chown -R hspc.hspc /var/opt/hspc-root
chown -R hspc.hspc /var/log/hspc
chmod -R 770 /var/log/hspc/*
chown -R hspc.hspc /usr/sbin/hspc-*
chown -R hspc.hspc /usr/share/hspc-*
chown -R hspc.hspc /usr/sbin/hspc-*
chown -R sw-cp-server.sw-cp-server /var/lock/hspc
