#!/usr/bin/perl
use strict;
use HSPC::WebDB qw(select_run select_rows select_row);
use POSIX;
sub optimize_tables {
	my $tables = select_rows("show tables");
	foreach(@{$tables}) {
		optimize_table($_->[0])
	}
}

sub optimize_table {
	my $table = shift;
	unless ($table) {
		ulog('No table specified for optimization');
		return;
	}
	ulog("Optimize table " . $table);
	my $data = select_row("OPTIMIZE TABLE " . $table);
	ulog("Result is " . $data->[2] . ' -> ' . $data->[3]);
}

sub ulog {
	print time() . ' :' . shift() . "\n";
}
optimize_tables();
